require 'spec_helper'

describe DataStore do
	let(:instance) { DataStore.instance }
	let(:original) { 'cat' }
	let(:transformed) { 'CAT' }

	before(:each) do
		instance.set({
			:id => 'boo',
			:original => original,
			:transformed => transformed
			})
	end

	describe 'set(data)' do
		it 'stores original and transformed data' do
			expect(instance.get('boo')[:original]).to eq(original)
			expect(instance.get('boo')[:transformed]).to eq(transformed)
		end
	end

	describe 'get(id)' do
		it 'returns data object' do
			expect(instance.get('boo')).to be_a Hash
			expect(instance.get('boo').key?(:original)).to be true
			expect(instance.get('boo').key?(:transformed)).to be true
		end
	end

	describe 'reset(id)' do
		it 'replaces the transformed data with original data' do
			instance.reset('boo')
			boo = instance.get('boo')
			expect(boo[:original]).to eq(boo[:transformed])
		end
	end
end